package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 系统通知对象 t_notice
 *
 * @author hxhq
 * @date 2026-01-16
 */
@TableName("t_notice")
public class Notice extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 通知人id */
    private Long userId;

    /** 通知人姓名 */
    private String userName;

    /** 标题 */
    private String title;

    /** 内容 */
    private String content;

    /** 状态1已发送，10已阅读 */
    private Integer status;

    /** 跳转地址 */
    private String url;


    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public void setUrl(String url)
    {
        this.url = url;
    }

    public String getUrl()
    {
        return url;
    }

}
